RagTimeParserInternal::State Struct Reference documentation

RagTimeParserInternal::State Struct Reference

Internal: the state of a RagTimeParser. More...

## Public Member Functions
| State ()
| constructor
void | initDefaultPatterns (int vers)
| init the pattern to default

## Public Attributes
int | m_numDataZone
| the number of data zone
std::multimap< std::string, MWAWEntry > | m_dataZoneMap
| a map: type->entry (datafork)
std::multimap< std::string, MWAWEntry > | m_RSRCZoneMap
| a map: type->entry (resource fork)
std::map< int, std::vector< MWAWColor > > | m_idColorsMap
| the color map
std::vector< Pattern > | m_patternList
| a list patternId -> pattern
int | m_actualZoneId
| the actual zone id
std::map< int, Zone > | m_idZoneMap
| a map: zoneId->zone (datafork)
std::map< int, std::vector< int > > | m_pageZonesIdMap
| a map: page->main zone id
std::map< int, Picture > | m_idPictureMap
| a map: zoneId->picture (datafork)
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document

## Detailed Description

Internal: the state of a RagTimeParser.

## Constructor & Destructor Documentation

## ◆ State()

RagTimeParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initDefaultPatterns()

void RagTimeParserInternal::State::initDefaultPatterns | ( | int | vers | ) |

init the pattern to default

## Member Data Documentation

## ◆ m_actPage

int RagTimeParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_actualZoneId

int RagTimeParserInternal::State::m_actualZoneId

the actual zone id

Referenced by State().

## ◆ m_dataZoneMap

std::multimap<std::string, MWAWEntry> RagTimeParserInternal::State::m_dataZoneMap

a map: type->entry (datafork)

Referenced by State().

## ◆ m_idColorsMap

std::map<int, std::vector<MWAWColor> > RagTimeParserInternal::State::m_idColorsMap

the color map

Referenced by State().

## ◆ m_idPictureMap

std::map<int, Picture> RagTimeParserInternal::State::m_idPictureMap

a map: zoneId->picture (datafork)

Referenced by State().

## ◆ m_idZoneMap

std::map<int, Zone> RagTimeParserInternal::State::m_idZoneMap

a map: zoneId->zone (datafork)

Referenced by State().

## ◆ m_numDataZone

int RagTimeParserInternal::State::m_numDataZone

the number of data zone

Referenced by State().

## ◆ m_numPages

int RagTimeParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_pageZonesIdMap

std::map<int, std::vector<int> > RagTimeParserInternal::State::m_pageZonesIdMap

a map: page->main zone id

Referenced by State().

## ◆ m_patternList

std::vector<Pattern> RagTimeParserInternal::State::m_patternList

a list patternId -> pattern

Referenced by initDefaultPatterns(), and State().

## ◆ m_RSRCZoneMap

std::multimap<std::string, MWAWEntry> RagTimeParserInternal::State::m_RSRCZoneMap

a map: type->entry (resource fork)

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTimeParser.cxx